portage-ng / portage / net-dns / libidn2 / 2.3.8
portage-ng glsa
1 advisory reference net-dns/libidn2 · none place version 2.3.8 in a vulnerable range
▸ GLSA 202003-63 GNU IDN Library 2: Multiple vulnerabilities this version unaffected normal local, remote 2020-03-30

Multiple vulnerabilities have been found in GNU IDN Library 2, the worst of which could result in the remote execution of arbitrary code.

Announced
2020-03-30
Revised
2020-03-30
Access
local, remote
Bugs
#697752
Advisory
https://security.gentoo.org/glsa/202003-63

Affected packages

PackageArchVulnerableUnaffected
net-dns/libidn2*< 2.2.0>= 2.2.0

Background

GNU IDN Library 2 is an implementation of the IDNA2008 + TR46 specifications (RFC 5890, RFC 5891, RFC 5892, RFC 5893, TR 46).

Description

Multiple vulnerabilities have been discovered in GNU IDN Library 2. Please review the CVE identifiers referenced below for details.

Impact

A remote attacker could send specially crafted input, possibly resulting in execution of arbitrary code with the privileges of the process, impersonation of domains or a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All GNU IDN Library 2 users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-dns/libidn2-2.2.0"

References